Add SDNC and port-mapping when creating VIM in run_test.sh
Change-Id: I783b7a5dd1c7c8f0cde070434c947acdc3bcc974
Signed-off-by: garciadeblas <gerardo.garciadeblas@telefonica.com>
diff --git a/robot-systest/run_test.sh b/robot-systest/run_test.sh
index 46eaee5..dd77f8e 100755
--- a/robot-systest/run_test.sh
+++ b/robot-systest/run_test.sh
@@ -70,6 +70,49 @@
echo "VIM failed to enter ENABLED state"
exit 1
fi
+ if [ -n "${SDNC_URL}" ]; then
+ osm sdnc-create --name sdnc-osm --type ${SDNC_TYPE} --user ${SDNC_USER} --password ${SDNC_PASSWORD} --url ${SDNC_URL}
+ COUNTER=0
+ STATUS=""
+ while [ ${COUNTER} -lt 5 ] ; do
+ echo "Checking status of SDNC sdnc-osm to see if it is enabled"
+ STATUS=$(osm sdnc-show sdnc-osm |grep -io ENABLED)
+ if [ "${STATUS}" == "ENABLED" ]; then
+ break
+ fi
+ ((COUNTER++))
+ sleep 10
+ done
+ if [ "${STATUS}" == "ENABLED" ]; then
+ echo "SDNC enabled"
+ else
+ echo "SDNC failed to enter ENABLED state"
+ osm sdnc-show sdnc-osm
+ exit 1
+ fi
+ if [ -f /root/port-mapping.yaml ]; then
+ osm vim-update ${VIM_TARGET} --sdn_controller sdnc-osm --sdn_port_mapping /root/port-mapping.yaml
+ COUNTER2=0
+ RESULT=""
+ while [ ${COUNTER2} -lt 5 ] ; do
+ echo "Checking status of VIM $VIM_TARGET to see if there is port-mapping"
+ osm vim-show $VIM_TARGET |grep sdn-port-mapping
+ if [ $? -eq 0 ]; then
+ RESULT="OK"
+ break
+ fi
+ ((COUNTER2++))
+ sleep 10
+ done
+ if [ "${RESULT}" == "OK" ]; then
+ echo "Port-mapping correctly added"
+ else
+ echo "Port-mapping failed to be added"
+ osm vim-show ${VIM_TARGET}
+ exit 1
+ fi
+ fi
+ fi
}